6.0.0-git
2021-01-18

[#9727] Desktop-Notification, IMAP-Mailbox, PHP-Errors
Summary Desktop-Notification, IMAP-Mailbox, PHP-Errors
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org, slusarz (at) horde (dot) org
Requester michael.groene (at) zel (dot) uni-hannover (dot) de
Created 2011-03-28 (3584 days ago)
Due
Updated 2011-04-18 (3563 days ago)
Assigned 2011-03-29 (3583 days ago)
Resolved 2011-04-18 (3563 days ago)
Milestone
Patch No

History
2011-04-18 11:28:09 Jan Schneider Comment #10
State ⇒ Resolved
Version ⇒ Git master
Reply to this comment
2011-03-24T14:02:37+01:00 WARN: HORDE [horde] PHP ERROR: Illegal
offset type in isset or empty [pid 27813 on line 195 of
"/usr/share/php/Horde/String.php"]
This might or might not be fixed. Do you use LDAP groups?
Sorry for delay. Yes, we use LDAP groups.
Should be fixed then.
2011-04-05 06:35:35 Michael Slusarz Comment #9 Reply to this comment
I use RC2 and had it yesterday about every 30 seconds in the logs 
(guess sidebar reloads as often). So it had to be fixed in last week 
or the bug is still open.
To further debug this issue, we need details of the IMP -> IMAP/POP 
communication.

To enable debugging, see instructions contained in 
imp/config/backends.php (the 'debug' config parameter).

Debugging should not be enabled on a production server,   Attach/post 
only the portion of the log that directly deals with the problem 
reported (it may be simplest to clear the log file and then perform 
the event that causes the error).
2011-04-05 06:30:44 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #8 Reply to this comment
2011-03-24T14:02:37+01:00 WARN: HORDE [horde] PHP ERROR: Illegal
offset type in isset or empty [pid 27813 on line 195 of
"/usr/share/php/Horde/String.php"]
This might or might not be fixed. Do you use LDAP groups?
Sorry for delay. Yes, we use LDAP groups.
2011-04-05 06:29:37 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #7 Reply to this comment

[Show Quoted Text - 11 lines]
I use RC2 and had it yesterday about every 30 seconds in the logs 
(guess sidebar reloads as often). So it had to be fixed in last week 
or the bug is still open.
2011-04-05 06:19:01 Michael Slusarz Comment #6 Reply to this comment
2011-03-24T14:02:38+01:00 ERR: HORDE [imp] IMAP error: Invalid
mailbox name [pid 27813 on line 208 of
"/usr/share/php/Horde/Imap/Client/Base.php"]
2011-03-24T14:02:38+01:00 ERR: HORDE [imp] IMAP error: Mailbox does
not exist [pid 27813 on line 208 of
"/usr/share/php/Horde/Imap/Client/Base.php"]
Pretty sure these have been fixed in the last week or two.  Tough to 
track given the multiple issues presented in this ticket, so going to 
assume it is fixed.  If still present, another ticket needs to be 
opened up.
2011-03-29 14:54:03 Jan Schneider Comment #5
Assigned to Jan Schneider
Assigned to Michael Slusarz
State ⇒ Feedback
Reply to this comment
Please create separate bugs in the future.
most probably, after creating an event in kronolith with 
desktop-notification (events with this attribute won't be displayed 
again, when clicking on it in kronoliths ajax-view, instead it's 
loading endlessly).
Fixed.
2011-03-24T14:02:37+01:00 WARN: HORDE [horde] PHP ERROR: Illegal 
offset type in isset or empty [pid 27813 on line 195 of 
"/usr/share/php/Horde/String.php"]
This might or might not be fixed. Do you use LDAP groups?
2011-03-24T14:02:38+01:00 ERR: HORDE [imp] IMAP error: Invalid 
mailbox name [pid 27813 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]
2011-03-24T14:02:38+01:00 ERR: HORDE [imp] IMAP error: Mailbox does 
not exist [pid 27813 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]
No idea about those.
Additionally in phps' log:
[24-Mar-2011 19:55:49] PHP Fatal error:  Call to undefined method 
Horde_Alarm_Handler_Desktop::_jsNotify() in 
/usr/share/php/Horde/Alarm/Handler/Desktop.php on line 77
Fixed.
2011-03-29 14:51:49 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Fix lowercasing objectclasses. Might fix bug #9727.

  1 files changed, 6 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/a4552e9280ae21ae85946fbb1672585d91a033ae
2011-03-29 14:51:46 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Fix calling callback (Bug #9727).

  1 files changed, 1 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/ee952c39607ba4766a4ca0965aa7cf97ebb5b595
2011-03-29 14:51:43 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Only try to set alarm parameters if the alarm method has any (Bug #9727).

  1 files changed, 17 insertions(+), 15 deletions(-)
http://git.horde.org/horde-git/-/commit/4e7fbadc3ac938b8eda0fe5e5f275ad813b13a87
2011-03-28 07:32:11 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Desktop-Notification, IMAP-Mailbox, PHP-Errors
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
In my logs I got these or similar entries many, many times.
I don't know exactly, when the errors occurred first time, but it was 
most probably, after creating an event in kronolith with 
desktop-notification (events with this attribute won't be displayed 
again, when clicking on it in kronoliths ajax-view, instead it's 
loading endlessly).

horde.log
2011-03-24T14:02:37+01:00 WARN: HORDE [horde] PHP ERROR: Illegal 
offset type in isset or empty [pid 27813 on line 195 of 
"/usr/share/php/Horde/String.php"]
2011-03-24T14:02:37+01:00 WARN: HORDE [horde] PHP ERROR: strtolower() 
expects parameter 1 to be string, array given [pid 27813 on line 198 
of "/usr/share/php/Horde/String.php"]
2011-03-24T14:02:37+01:00 WARN: HORDE [horde] PHP ERROR: Illegal 
offset type [pid 27813 on line 198 of "/usr/share/php/Horde/String.php"]
2011-03-24T14:02:37+01:00 WARN: HORDE [horde] PHP ERROR: Illegal 
offset type [pid 27813 on line 202 of "/usr/share/php/Horde/String.php"]
2011-03-24T14:02:38+01:00 ERR: HORDE [imp] IMAP error: Invalid mailbox 
name [pid 27813 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]
2011-03-24T14:02:38+01:00 ERR: HORDE [imp] IMAP error: Mailbox does 
not exist [pid 27813 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]
2011-03-24T14:02:38+01:00 ERR: HORDE [imp] IMAP error: Mailbox does 
not exist [pid 27813 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]
2011-03-24T14:02:48+01:00 WARN: HORDE [kronolith] PHP ERROR: Illegal 
offset type in isset or empty [pid 6905 on line 195 of 
"/usr/share/php/Horde/String.php"]
2011-03-24T14:02:48+01:00 WARN: HORDE [kronolith] PHP ERROR: 
strtolower() expects parameter 1 to be string, array given [pid 6905 
on line 198 of "/usr/share/php/Horde/String.php"]
2011-03-24T14:02:48+01:00 WARN: HORDE [kronolith] PHP ERROR: Illegal 
offset type [pid 6905 on line 198 of "/usr/share/php/Horde/String.php"]
2011-03-24T14:02:48+01:00 WARN: HORDE [kronolith] PHP ERROR: Illegal 
offset type [pid 6905 on line 202 of "/usr/share/php/Horde/String.php"]
2011-03-24T14:03:14+01:00 WARN: HORDE [horde] PHP ERROR: Illegal 
offset type in isset or empty [pid 4714 on line 195 of 
"/usr/share/php/Horde/String.php"]
2011-03-24T14:03:14+01:00 WARN: HORDE [horde] PHP ERROR: strtolower() 
expects parameter 1 to be string, array given [pid 4714 on line 198 of 
"/usr/share/php/Horde/String.php"]
2011-03-24T14:03:14+01:00 WARN: HORDE [horde] PHP ERROR: Illegal 
offset type [pid 4714 on line 198 of "/usr/share/php/Horde/String.php"]
2011-03-24T14:03:14+01:00 WARN: HORDE [horde] PHP ERROR: Illegal 
offset type [pid 4714 on line 202 of "/usr/share/php/Horde/String.php"]
2011-03-24T14:03:15+01:00 ERR: HORDE [imp] IMAP error: Invalid mailbox 
name [pid 4714 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]
2011-03-24T14:03:15+01:00 ERR: HORDE [imp] IMAP error: Mailbox does 
not exist [pid 4714 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]
2011-03-24T14:03:15+01:00 ERR: HORDE [imp] IMAP error: Mailbox does 
not exist [pid 4714 on line 208 of 
"/usr/share/php/Horde/Imap/Client/Base.php"]

Though the IMAP-errors occur, webmail seems to work well.

Additionally in phps' log:
[24-Mar-2011 19:55:49] PHP Fatal error:  Call to undefined method 
Horde_Alarm_Handler_Desktop::_jsNotify() in 
/usr/share/php/Horde/Alarm/Handler/Desktop.php on line 77

Saved Queries